AutoFinalASTTransformation (groovy 3.0.7 API)

Package: org.codehaus.groovy.transform

## [Java] Class AutoFinalASTTransformation

- org.codehaus.groovy.transform.AutoFinalASTTransformation

-     @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class AutoFinalASTTransformation
      extends AbstractASTTransformation

  Handles generation of code for the AutoFinal annotation.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit source)`
    `` | `public void` | `visitClosureExpression(ClosureExpression expression)`
    `` | `protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
    `` | `public void` | `visitDeclarationExpression(DeclarationExpression expr)`
    `` | `public void` | `visitField(FieldNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExclude, checkIncludeExclude, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getClassList, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberList, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, nonGeneric, shouldSkip, shouldSkip, shouldSkipOnDescriptor, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Method Detail

    - #### protected SourceUnit getSourceUnit()

    - #### public void visit(ASTNode[] nodes, SourceUnit source)

    - #### @Override public void visitClosureExpression(ClosureExpression expression)

    - #### @Override protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

    - #### @Override public void visitDeclarationExpression(DeclarationExpression expr)

    - #### @Override public void visitField(FieldNode node)